Loading...
Searching...
No Matches
security::RoleAccessRule Struct Reference

Role-based access rule. More...

`import "Security.idl";`

## Public Attributes

string | startIp
| Start of IP range.
string | endIp
| End of IP range.
int | roleId
| Role id.
RoleAccessPolicy | policy
| Access policy.

## Detailed Description

Role-based access rule.

Definition at line 42 of file Security.idl.

## Member Data Documentation

## endIp

string security::RoleAccessRule::endIp

End of IP range.

Definition at line 44 of file Security.idl.

## policy

RoleAccessPolicy security::RoleAccessRule::policy

Access policy.

Definition at line 46 of file Security.idl.

## roleId

int security::RoleAccessRule::roleId

Role id.

Definition at line 45 of file Security.idl.

## startIp

string security::RoleAccessRule::startIp

Start of IP range.

Definition at line 43 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl